# GitTime

<p align=center>
<img onerror="this.style.display='none';" src="/.github/images/appicon_white.png" alt="400x400bb" width="200" height="200">
<br/>
<br/>
<a href="https://apps.apple.com/us/app/gittime/id1469013856?mt=8">
<img src="https://linkmaker.itunes.apple.com/ko-kr/badge-lrg.svg?releaseDate=2019-06-22&kind=iossoftware&bubble=ios_apps">
</a>
<br/>
<br/>
<a href="https://github.com/ReactorKit/ReactorKit">
<img src="https://img.shields.io/badge/architecture-ReactorKit-brightgreen">
</a>
<a href="https://github.com/ReactiveX/RxSwift">
<img src="https://img.shields.io/badge/reactive-RxSwift-red">
</a>
<img src="https://img.shields.io/badge/Swift-5.0-ff69b4">
<img src="https://img.shields.io/github/v/release/87kangsw/GitTime">
<img src="https://img.shields.io/github/contributors/87kangsw/Gittime">
</p>

## Feature

1. Activity: GitHub Contributions graph & Event lists
2. Trending: Trending Repositories & Developers
3. Buddys: Show your buddy's contributions
4. Settings: About GitTime project

## Screenshots

| <img src="/.github/images/screen1.png"> | <img src="/.github/images/screen2.png"> | <img src="/.github/images/screen3.png"> | <img src="/.github/images/screen4.png"> |
| :-------------------------------------: | :-------------------------------------: | :-------------------------------------: | :-------------------------------------: |
|                Activity                 |                Trending                 |                 Buddys                  |                Settings                 |

## Skills

- Architecture

  - [ReactorKit](https://github.com/ReactorKit/ReactorKit)

- Reactive

  - [RxSwift](https://github.com/ReactiveX/RxSwift)
  - [RxDataSources](https://github.com/RxSwiftCommunity/RxDataSources)
  - [RxKeyboard](https://github.com/RxSwiftCommunity/RxKeyboard)
  - [RxOptional](https://github.com/RxSwiftCommunity/RxOptional)

- Networking

  - [Moya](https://github.com/Moya/Moya)

- Build & Automation

  - [XcodeGen](https://github.com/yonaskolb/XcodeGen)
  - [fastlane](https://docs.fastlane.tools)

- Image Cache

  - [Kingfisher](https://github.com/onevcat/Kingfisher)

- Cody Style & Convention

  - [SwiftLint](https://github.com/realm/SwiftLint)

- Keychain

  - [KeychainAccess](https://github.com/kishikawakatsumi/KeychainAccess)

- Database

  - [RealmSwift](https://realm.io/kr/docs/swift/latest/#installation)

- UI

  - [SnapKit](https://github.com/SnapKit/SnapKit)
  - [PanModal](https://github.com/slackhq/PanModal)

- Parser

  - [Kanna](https://github.com/tid-kijyun/Kanna)

- etc
  - [SwiftyBeaver](https://github.com/SwiftyBeaver/SwiftyBeaver)
  - [AcknowList](https://github.com/vtourraine/AcknowList)
  - [Bagel](https://github.com/yagiz/Bagel)
